Update Contact

Updates contact information and consent settings for a specific contact.

Update a contact

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired
Body
first_namestringOptional
last_namestringOptional
emailstring · emailOptional
phone_numberstringOptional
date_of_birthstring · dateOptional
email_consentbooleanOptional
sms_consentbooleanOptional
whatsapp_consentbooleanOptional
Responses
chevron-right
200

Contact updated

application/json
idstring · uuidOptional
first_namestring · nullableOptional
last_namestring · nullableOptional
emailstring · email · nullableOptional
phone_numberstring · nullableOptional
date_of_birthstring · date · nullableOptional
email_consentbooleanOptionalDefault: false
sms_consentbooleanOptionalDefault: false
whatsapp_consentbooleanOptionalDefault: false
created_atstring · date-timeOptional
updated_atstring · date-timeOptional
patch
/contacts/{id}

Last updated